Summary: A general-purpose resource monitoring system.
Name: mon
Version: 0.38.15
Release: 8
Source0: ftp://ftp.kernel.org/pub/software/admin/mon/mon-0.38.15.tar.bz2
Source1: mon.cf
Patch0: mon-0.38.15-init.patch
Patch1: mon-0.38.15-cgi.patch
Url: http://www.kernel.org/software/mon/
Copyright: GPL
Group: Applications/System
Buildroot: /var/tmp/mon-root
BuildArch: noarch
Requires: perl-Mon
Requires: perl-Period
Requires: perl-TimeDate
Requires: perl-Time-HiRes
Requires: perl-Convert-BER 
Requires: perl-Net-Telnet

%description
Mon is a general-purpose resource monitoring system.  It can be used
to monitor network service availability, server problems,
environmental conditions (i.e., the temperature in a room) or other
things. Mon can be used to test the condition and/or to trigger an
action upon failure of the condition.  Mon keeps the testing and
action-taking tasks as separate, stand-alone programs.

Mon is very extensible.  Monitors and alerts are not a part of mon, but
the distribution comes with a handful of them to get you started. This
means that if a new service needs monitoring, or if a new alert is
required, the mon server will not need to be changed.

%prep
%setup0 -q 
%patch0 -p0 -b .init
%patch1 -p0 -b .cgi

%build
make all -C mon.d

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 755 mon $RPM_BUILD_ROOT/usr/bin
install -m 755 clients/moncmd $RPM_BUILD_ROOT/usr/bin
install -m 755 clients/monshow $RPM_BUILD_ROOT/usr/bin
install -m 755 clients/skymon/skymon $RPM_BUILD_ROOT/usr/bin

mkdir -p $RPM_BUILD_ROOT/usr/man/man1
install -m 644 doc/*.1 $RPM_BUILD_ROOT/usr/man/man1 

mkdir -p $RPM_BUILD_ROOT/usr/lib/mon/alert.d
install -m 755 alert.d/* $RPM_BUILD_ROOT/usr/lib/mon/alert.d

mkdir -p $RPM_BUILD_ROOT/var/run/mon/state.d
mkdir -p $RPM_BUILD_ROOT/var/run/mon/log.d

mkdir -p $RPM_BUILD_ROOT/usr/lib/mon/mon.d
install -m 755 mon.d/* $RPM_BUILD_ROOT/usr/lib/mon/mon.d

chmod 644 $RPM_BUILD_ROOT/usr/lib/mon/mon.d/{Makefile,*.c}

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc3.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc4.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc5.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc6.d
mkdir -p $RPM_BUILD_ROOT/etc/mon
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/mon/mon.cf
install -m 644 etc/auth.cf $RPM_BUILD_ROOT/etc/mon/auth.cf
touch $RPM_BUILD_ROOT/etc/mon/userfile
chmod 600 $RPM_BUILD_ROOT/etc/mon/userfile


cp -f etc/S99mon $RPM_BUILD_ROOT/etc/rc.d/init.d/mon
ln -s /etc/rc.d/init.d/mon $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S99mon 
ln -s /etc/rc.d/init.d/mon $RPM_BUILD_ROOT/etc/rc.d/rc4.d/S99mon 
ln -s /etc/rc.d/init.d/mon $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S99mon 
ln -s /etc/rc.d/init.d/mon $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K99mon 
mkdir -p $RPM_BUILD_ROOT/var/run/mon.pid/

mkdir -p $RPM_BUILD_ROOT/home/httpd/cgi-bin/
install -m 755 cgi-bin/mon.cgi $RPM_BUILD_ROOT/home/httpd/cgi-bin/


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING CREDITS COPYRIGHT README INSTALL TODO doc/README.* 
%doc etc/*.cf etc/example.m4 clients/skymon/* utils/* mon.lsm
%config /etc/mon/*
/etc/rc.d/rc3.d/S99mon 
/etc/rc.d/rc4.d/S99mon 
/etc/rc.d/rc5.d/S99mon 
/etc/rc.d/rc6.d/K99mon 
/etc/rc.d/init.d/mon 
/usr/man/*/* 
/home/httpd/cgi-bin/mon.cgi
/usr/bin/mon
/usr/bin/monshow
/usr/bin/moncmd
/usr/bin/skymon          
/usr/lib/mon
%dir /var/run/mon/state.d
%dir /var/run/mon/log.d

%changelog
* Tue Feb 15 2000 Tim Powers <timp@redhat.com>
- Requires: Mon should have been Requires: perl-Mon, fixed
- built for 6.2
- BuildArch is noarch

* Mon Feb 14 2000 Andrew Anderson <andrew@redhat.com>
- point the cgi script to localhost
- sample config file cleanup

* Sat Feb 12 2000 Andrew Anderson <andrew@redhat.com>
- Re-introduced dependancy for Mon
- cleaned up init script
- fix bogus /var/run/mon.pid directory

* Thu Nov 18 1999 Tim Powers <timp@redhat.com>
- updated to 0.38.15
- removed Requires: perl-Mon

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- fix bogus requires.

* Fri Jul 23 1999 Cristian Gafton <gafton@redhat.com>
- make sure we don't end up owning dirs that aren't ours
- updated the Requires lines

* Mon Jul 19 1999 Tim Powers <timp@redhat.com>
- updated source to 0.38.13
- built for 6.1

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- pre release is out, but stayed with stable one

* Wed Sep 09 1998 Michael Maher <mike@redhat.com>
- built package
